axpy(3)

NAME
axpy - axpy: y = ax + y

SYNOPSIS

  Functions
subroutine caxpy (n, ca, cx, incx, cy, incy)
CAXPY
subroutine daxpy (n, da, dx, incx, dy, incy)
DAXPY
subroutine saxpy (n, sa, sx, incx, sy, incy)
SAXPY
subroutine zaxpy (n, za, zx, incx, zy, incy)
ZAXPY

Detailed Description

Function Documentation

  subroutine caxpy (integer n, complex ca, complex, dimension(*) cx, integer incx, complex, dimension(*) cy, integer incy)

CAXPY

Purpose:

        CAXPY constant times a vector plus a vector.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    CA

              CA is COMPLEX
               On entry, CA specifies the scalar alpha.

    CX

              CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of CX

    CY

              CY is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of CY

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 87 of file caxpy.f.

  subroutine daxpy (integer n, double precision da, double precision, dimension(*) dx, integer incx, double precision, dimension(*) dy, integer incy)

DAXPY

Purpose:

        DAXPY constant times a vector plus a vector.
        uses unrolled loops for increments equal to one.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    DA

              DA is DOUBLE PRECISION
               On entry, DA specifies the scalar alpha.

    DX

              DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of DX

    DY

              DY is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of DY

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 88 of file daxpy.f.

  subroutine saxpy (integer n, real sa, real, dimension(*) sx, integer incx, real, dimension(*) sy, integer incy)

SAXPY

Purpose:

        SAXPY constant times a vector plus a vector.
        uses unrolled loops for increments equal to one.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    SA

              SA is REAL
               On entry, SA specifies the scalar alpha.

    SX

              SX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of SX

    SY

              SY is REAL array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of SY

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 88 of file saxpy.f.

  subroutine zaxpy (integer n, complex*16 za, complex*16, dimension(*) zx, integer incx, complex*16, dimension(*) zy, integer incy)

ZAXPY

Purpose:

        ZAXPY constant times a vector plus a vector.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    ZA

              ZA is COMPLEX*16
               On entry, ZA specifies the scalar alpha.

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

    ZY

              ZY is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of ZY

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 87 of file zaxpy.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.